Subject: Re: [MAINTAINERS SUMMIT] Device Passthrough Considered Harmful?

From: Jason Gunthorpe <[email-masked]>
Date: Mon, 22 Jul 2024 10:27:54 -0300

On Sun, Jul 21, 2024 at 09:51:05PM +0300, Laurent Pinchart wrote:

> That may be the case in the server world, and for protocols such as
> NVMe. My experience in the media world differs. I've seen too many
> horrors to list them all here, so I'll only mention one of the worst
> examples coming to my mind, of an (BSP) driver taking a physical address
> from unpriviledged userspace and giving it to a DMA engine without any
> filtering. I think this was mostly to be blamed on the developer not
> knowing better, there was no malicious intent.
> 
> In general, can we trust closed-source firmwares when they document the
> side effects of pass-through commands ? Again, I think the answer
> differs between different classes of devices, the security culture is
> not uniform across the whole IT industry.

That does make sense to me, and I certainly don't feel the same
comfort when looking at embedded or consumer HW that has a
historically much weaker security story.

Jason